Bug 460 - When forcing a reboot, write *something* *somewhere* as to why
: When forcing a reboot, write *something* *somewhere* as to why
Status: RESOLVED WORKSFORME
Product: System software
Watchdog
: 2.1
: All Maemo
: Medium enhancement (vote)
: ---
Assigned To: unassigned
: watchdog-bugs
:
: enhancement-it2005, ITOS2007HE-garage
:
:
  Show dependency tree
 
Reported: 2006-04-27 18:41 UTC by David Hagood
Modified: 2008-12-06 17:59 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description David Hagood (reporter) 2006-04-27 18:41:17 UTC
I'm having reboots after loading the latest code image - sometimes for no
reason
I can explain, when the unit is idle, case closed, plugged-in to the charger,
in
the middle of the night, when one would think very little (other than
monitoring
the battery charge) was going on. Other times the unit reboots when I try to
launch something e.g. start a network connection.

There is no way to find out exactly *why* these reboots are happening -
obviously something is deciding a reboot is needed, but who knows why?

It would be nice if that "something" would log why the reboot was fired -
either
to /var/log, or just leave a message at a given location in RAM that could be
picked up after reboot during system startup and written to /var/log, so that
we
could begin to get a handle on this.
Comment 1 Maemo QA (deprecated) 2006-05-09 12:39:12 UTC
Claiming ownership.
Comment 2 Maemo QA (deprecated) 2006-05-09 12:39:39 UTC
Enhancement, will be forwarded to upstream maintainer ASAP.
Comment 3 Maemo QA (deprecated) 2006-05-22 14:43:43 UTC
Feature request has been forwarded to upstream maintainer.
Comment 4 Maemo QA (deprecated) 2006-08-03 16:56:55 UTC
Re-assign
Comment 5 Eero Tamminen nokia 2006-08-18 14:38:58 UTC
In IT2006, if you add "core-dumps" directory to the MMC, you get a core dump of
the process(es) that crash.

Most of the apps in IT2006 are maemo-launched so you usually see two core dumps,
one of few hundred KBs (the launch wrapper) and one of few megs (the application 
actually crashing).  When looking at the latter with Gdb, you should give Gdb 
/usr/bin/maemo-launcher as the binary.
Comment 6 Eero Tamminen nokia 2007-02-06 11:52:37 UTC
See also:
http://maemo.org/maemowiki/ReportingRebootIssues

I think this bug could be invalidated.

One more possibility could be to install syslogd, but I'm not sure whether SDK 
repos offer that (and that much logging's a bit of Flash waste)...?
Comment 8 Andre Klapper maemo.org 2008-05-09 15:31:28 UTC
David, if this is still an issue, can you please post the data described at
http://maemo.org/community/wiki/ReportingRebootIssues/ ? Thanks in advance!
Comment 9 Andre Klapper maemo.org 2008-11-12 23:04:07 UTC
Doesn't "more /proc/bootreason" tell the reboot reason and fix this ticket?
Or am I too naïve?
Comment 10 Eero Tamminen nokia 2008-11-13 09:48:23 UTC
(In reply to comment #9)
> Doesn't "more /proc/bootreason" tell the reboot reason and fix this ticket?

It tells the category (HW or SW watchdog), /var/lib/dsme tells for SW watchdog
resets which processes deaths have caused reboots (as explained in the wiki)
and if syslog is installed, it contains more details.

These were actually there already in 770 (syslog wasn't but could be built from
Debian source package), so this should be invalidated or at least worksforme.

HW watchdog is a problem, but there's not much that could be done except by
attaching serial console to the device before it reboots to see console
messages (if kernel freezes, you cannot get anything written to disk).
Comment 11 Andre Klapper maemo.org 2008-11-13 12:22:58 UTC
Closing as per last comment.